summaryrefslogtreecommitdiff
path: root/run_rs_cts.sh
diff options
context:
space:
mode:
authorStephen Hines <srhines@google.com>2014-11-07 17:47:21 -0800
committerStephen Hines <srhines@google.com>2014-11-12 15:04:28 -0800
commit9723424fb7f6fe08d5978d8b7b44694e668ba717 (patch)
treeee223c18cc1d494a1a60f7b87947a9f91d38a818 /run_rs_cts.sh
parent8dfd7a77b68ca41ac6502ca596f3a21e06865e24 (diff)
downloadrs-9723424fb7f6fe08d5978d8b7b44694e668ba717.tar.gz
Add a simple script to run the basic RS CTS tests.
Change-Id: If01cd5709167933d9f91bb69ca161733bfbf9412
Diffstat (limited to 'run_rs_cts.sh')
-rwxr-xr-xrun_rs_cts.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/run_rs_cts.sh b/run_rs_cts.sh
new file mode 100755
index 00000000..48bc001c
--- /dev/null
+++ b/run_rs_cts.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# Run the general RS CTS tests. We can expand this script to run more tests
+# as we see fit, but this essentially should be a reasonable smoke test of
+# RenderScript (to be run on build/test bots).
+
+CTS_TRADEFED=$ANDROID_BUILD_TOP/out/host/linux-x86/bin/cts-tradefed
+
+#$CTS_TRADEFED run commandAndExit cts --force-abi 64 -p android.renderscript
+#$CTS_TRADEFED run commandAndExit cts --force-abi 32 -p android.renderscript
+$CTS_TRADEFED run commandAndExit cts -p android.renderscript
+exit $?